Bug 312 - KDE OpenGL2 and Direct Rendering problem
: KDE OpenGL2 and Direct Rendering problem
Status: CLOSED FIXED
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: OpenGL Driver
: .archived
: Radeon HD 4000 Series Linux
: low normal
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 02:02 CDT by Weng Xuetian
Modified: 2013-08-14 11:42 CDT (History)
8 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Weng Xuetian 2011-11-01 02:02:49 CDT
Description of problem: 
KWin has blacklist fglrx for a long time, due to the problem.

Steps to reproduce:
1. KWIN_DIRECT_GL=1 kwin --replace (since fglrx is blacklisted)
2. enable direct rendering either opengl2 (if vsync and tear free is enabled, everything will get worse).

Actual result: 
Window will flickr sometimes, and screen will be freeze if opengl related program start, like glxgears, for 11.10, the alt-tab in kwin may recover from this case.

Expected result: 
Everything works well.
Comment 1 Weng Xuetian 2012-02-20 23:29:58 CST
Catalyst support might be drop if this cannot be fixed.

http://blog.martin-graesslin.com/blog/2012/02/the-costs-of-supporting-legacy-hardware/
Comment 2 amigo_zhen 2012-02-21 19:49:22 CST
We are working on the issue and will support direct render for kwin.
Comment 3 Erick 2012-02-26 20:27:49 CST
Please fix it. We want a good support for linux.
Comment 4 Commander 2012-03-10 08:52:04 CST
(In reply to comment #2)
> We are working on the issue and will support direct render for kwin.

Will there be an ETA close enough or do we still need to wait +1 year as we seen for mutter support and gnome-shell?
Comment 5 russianneuromancer 2012-06-02 13:25:25 CDT
http://www.phoronix.com/scan.php?page=news_item&px=MTExMTU
> Fix for flickering of OpenGL applications when using KWin direct rendering.
Comment 6 russianneuromancer 2012-09-27 03:42:45 CDT
http://blog.martin-graesslin.com/blog/2012/08/this-week-in-kwin-2012-week-34/
> First of all I want to thank Jammy Zhou for adapting our OpenGL test application to determine whether the Catalyst driver supports direct rendering with compositing. Thanks to that change KWin will default to direct rendering and OpenGL 2 on the latest Catalyst drivers (in fact KWin defaults to direct rendering on all drivers now).